/* Hero Section */

.hero {
    background-image: url('/img/OJminingBg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: white;
    padding: 180px 0;
    position: relative;
    /* For the whatsapp icon positioning */
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Adjust the alpha value (0.5) to control darkness */
    z-index: 1;
    /* Ensure the overlay is above the background image */
}

.hero>* {
    /*This ensures any child element will be above the dark overlay*/
    position: relative;
    z-index: 2;
}

.flex-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.hero .left {
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.hero .left h1 {
    font-size: 42px;
    font-weight: bold;
    color: var(--white);
    margin-bottom: 20px;
    text-transform: uppercase;
    /* Add this line */
}

.hero .left h4 {
    font-size: 22px;
    font-weight: bold;
    color: var(--white);
    margin-bottom: 2px;
    text-transform: uppercase;
    /* Add this line */
}

.hero .left h4 span {
    color: var(--orange);
}

.hero .left p {
    font-size: 15px;
    color: var(--white);
    margin-bottom: 8px;
}

.hero .left .buttons {
    display: flex;
    /* Flexbox for buttons */
    align-self: flex-start;
}

.hero .left .buttons a {
    background-color: var(--teal);
    color: var(--white);
    padding: 12px 24px;
    border-radius: 25px;
    font-size: 18px;
    transition: background-color 0.3s ease;
    margin-right: 10px;
    /* Space between buttons */
}

.hero .left .buttons a:last-child {
    margin-right: 0;
    /* Remove right margin from last button */
}

.hero .left .buttons a:hover {
    background-color: var(--orange);
}

.hero .right {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero .right img {
    width: 450px;
    height: 370px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    object-fit: fill;
}

.hero .whatsapp-icon {
    background-color: var(--teal);
    color: var(--white);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease, transform 0.3s ease;
    position: absolute;
    bottom: -80px;
    right: -290px;
}

.hero .whatsapp-icon:hover {
    background-color: var(--teal);
    transform: scale(1.1);
}

@media (max-width: 1900px) {
    .hero .whatsapp-icon {
        width: 50px;
        height: 50px;
        font-size: 24px;
        bottom: -30px;
        right: 10px;
    }
}

@media (max-width: 1580px) {
    .hero .whatsapp-icon {
        width: 50px;
        height: 50px;
        font-size: 24px;
        bottom: -30px;
        right: 10px;
    }
}

@media (max-width: 980px) {
    .hero .whatsapp-icon {
        width: 50px;
        height: 50px;
        font-size: 24px;
        bottom: -30px;
        right: 10px;
    }
}


/* Media Queries for Mobile Responsiveness */

@media (max-width: 768px) {
    .hero {
        padding: 50px 0;
    }
    .flex-container {
        flex-direction: column;
        text-align: center;
    }
    .hero .left {
        max-width: 100%;
        align-items: center;
    }
    .hero .left h1 {
        font-size: 32px;
    }
    .hero .left h4 {
        font-size: 18px;
    }
    .hero .left p {
        font-size: 14px;
    }
    .hero .left .buttons {
        flex-direction: column;
        align-self: center;
    }
    .hero .left .buttons a {
        margin-right: 0;
        margin-bottom: 10px;
    }
    .hero .right img {
        width: 100%;
        height: auto;
        max-width: 300px;
    }
    .hero .whatsapp-icon {
        bottom: -40px;
        right: 20px;
    }
}

@media (max-width: 480px) {
    .hero .left h1 {
        font-size: 28px;
    }
    .hero .left h4 {
        font-size: 16px;
    }
    .hero .left p {
        font-size: 13px;
    }
    .hero .right img {
        max-width: 250px;
    }
    .hero .whatsapp-icon {
        width: 50px;
        height: 50px;
        font-size: 24px;
        bottom: -30px;
        right: 10px;
    }
}